---
title: SVGFESpecularLightingElement
slug: Web/API/SVGFESpecularLightingElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFESpecularLightingElement</code></strong> interface corresponds to the {{SVGElement("feSpecularLighting")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}, and also implements properties of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<dl>
 <dt>{{domxref("SVGFESpecularLightingElement.in1")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedString")}} corresponding to the {{SVGAttr("in")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFESpecularLightingElement.surfaceScale")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("surfaceScale")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFESpecularLightingElement.specularConstant")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("specularConstant")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFESpecularLightingElement.specularExponent")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("specularExponent")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFESpecularLightingElement.kernelUnitLengthX")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the X component of the {{SVGAttr("kernelUnitLength")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFESpecularLightingElement.kernelUnitLengthY")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the Y component of the {{SVGAttr("kernelUnitLength")}} attribute of the given element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}, and also implements methods of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFESpecularLightingElement", "SVGFESpecularLightingElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFESpecularLightingElement", "SVGFESpecularLightingElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFESpecularLightingElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("feSpecularLighting")}}</li>
</ul>
